#ifndef _MOD_LASSO_H_
#define _MOD_LASSO_H_

#include <httpd.h>
#ifdef strtoul
#undef strtoul // seriously...
				// what they were pulling causes compiler errors
#endif
#include <http_config.h>
#include <http_protocol.h>
#include <http_protocol.h>
#include <http_main.h>
#include <http_core.h>
#include <ap_compat.h>
#include "LassoProto.h"
#include "LassoProtoUtils.h"
#include "RequestParams.h"

class POSTReader;

/*
	Prototypes:
*/
/* returns the socket or -1 */
int open_connection();
void release_connection(int s, bool justKillIt=false);

int lasso_handler (request_rec *r);
void init_module(server_rec*, apr_pool_t*);
void child_term_handler(server_rec*, apr_pool_t*);
void child_init_handler(apr_pool_t *pchild, server_rec *s);
int get_param( request_rec * r, RequestParamKeyword word, const char * param, char ** data, int * outLen );
int get_post( int sock, request_rec * r, POSTReader * reader );

#endif