<?LassoScript

(global:'SOAP-ENV'='http://schemas.xmlsoap.org/soap/envelope/');
(global:'SOAP-ENC'='http://schemas.xmlsoap.org/soap/encoding/');
(global:'xsi'='http://www.w3.org/1999/XMLSchema-instance');
(global:'xsd'='http://www.w3.org/1999/XMLSchema');

define_tag:'xml_removeNamespace', -required='name', -description='Strips the namespace from a name.';
	return:#name->(split:':')->last;
/define_tag;

define_tag:'xml_getAttribute', -required='xml', -type='xml', -required='named', -type='string',
		-description='Returns the specified attribute value.';
	local:'tmp'=(#xml->attributes->find:xml_removeNamespace:#named);
	if:#tmp != null && #tmp->size;
		return:#tmp->last->second;
	/if;
/define_tag;

define_tag:'xml_getSchemas', -required='xml', -description='Returns all schemas under the current node.';
	local:'r'=@(#xml->extract:"descendant-or-self::*[local-name()='schema']");
	if:#r->size;
		return:@#r;
	/if;
/define_tag;

?>