<?LassoScript

//
// Variables
//

_admin_addvar: 'build_connectorid', -default='1', -session='_admin', -override=(action_param: 'build_connectorid');
_admin_addvar: 'build_hostid', -session='_admin', -override=(action_param: 'build_hostid');
_admin_addvar: 'build_databaseid', -session='_admin', -override=(action_param: 'build_databaseid');

_admin_addvar: 'build_action', -default='None', -override=(action_param: 'build_action', (action_param: 'build_action', -count));
_admin_addvar: 'build_actionraw', -default='None', -override=(action_param: 'build_action');
_admin_addvar: 'build_database_skip', -default=1, -session='_admin', -override=(action_param: 'build_database_skip');
_admin_addvar: 'build_navigation', -override=(action_param: 'build_navigation');
_admin_addvar: 'build_jump', -override=(action_param: 'build_jump');

_admin_addvar: 'database_name', -override=(action_param: 'database_name');
_admin_addvar: 'database_alias', -override=(action_param: 'database_alias');
_admin_addvar: 'database_enabled', -override=(action_param: 'database_enabled');
_admin_addvar: 'database_enabledalias', -override=(action_param: 'database_enabledalias');

_admin_addvar: 'create_connectorid', -default='1', -session='_admin', -override=(action_param: 'create_connectorid');
_admin_addvar: 'create_hostid', -session='_admin', -override=(action_param: 'create_hostid');
_admin_addvar: 'create_databaseid', -session='_admin', -override=(action_param: 'create_databaseid');

_admin_addvar: 'create_action', -default='None', -override=(action_param: 'create_action');
_admin_addvar: 'create_name', -default='New_Database', -override=(action_param: 'create_name');
_admin_addvar: 'create_alias', -override=(action_param: 'create_alias');
_admin_addvar: 'create_enabled', -override=(action_param: 'create_enabled');
_admin_addvar: 'create_type', -default='New', -override=(action_param: 'create_type');
_admin_addvar: 'create_data', -default='No', -override=(action_param: 'create_data', (action_param: 'create_data', -count));
_admin_addvar: 'create_index', -default='No', -override=(action_param: 'create_index', (action_param: 'create_index', -count));

_admin_addvar: 'dialog_action', -default='None', -override=(action_param: 'dialog_action');


if: $build_actionraw >> 'Duplicate Database...';

	var: 'build_action' = 'Create Database...';
	var: 'create_type' = 'Duplicate';

else: $build_actionraw >> 'Create Database...';

	var: 'build_action' = 'Create Database...';
	var: 'create_type' = 'New';

/if;


//
// Duplicate Menus
//

if: ($build_action >> 'Create') || ($create_action >> 'Duplicate');

	var: 'create_connectormap' = (array);
	var: 'create_hostmap' = (array);
	var: 'create_databasemap' = (array);

	var: 'temp_connectormap' = (_admin_listconnectors);
	var: 'create_connectormap' = (array);
	loop: $temp_connectormap->size;
		var: 'temp'=$temp_connectormap->(get:loop_count)->second;
		var: 'id'=$temp_connectormap->(get:loop_count)->first;
		if: ($temp->(find: 'name') >> 'MySQL') && ($temp->(find: 'status') == 'enabled');
			$create_connectormap->(insert: $id = $temp);
		/if;
	/loop;
	var: 'temp' = (_admin_defaultconnector: -id=$create_connectorid, $create_connectormap);
	if: ($temp != null);
		var: 'create_connectorid' = $temp->first;
		var: 'create_connectordetail' = $temp->second;
		var: 'create_connectoralias' = $create_connectordetail->(find: 'alias');
	else;
		var: 'create_connectorid' = 0;
		var: 'create_connectordetail' = null;
	/if;

	if: ($create_connectorid > 0);
		var: 'create_hostmap' = (_admin_listhosts: $create_connectorid);
		loop: -loopfrom=$create_hostmap->size, -loopto=1, -loopincrement=(-1);
			if: $create_hostmap->(get: loop_count)->second->(find: 'status') != 'enabled';
				$create_hostmap->(remove: loop_count);
			/if;
		/loop;
		var: 'temp' = (_admin_defaulthost: $create_hostid, $create_hostmap);
		if: ($temp != null);
			var: 'create_hostid' = $temp->first;
			var: 'create_hostdetail' = $temp->second;
		else;
			var: 'create_hostid' = 0;
			var: 'create_hostdetail' = null;
		/if;
	else;
		var: 'create_hostid' = 0;
		var: 'create_hostdetail' = null;
	/if;

	if: ($create_hostid > 0);
		var: 'create_databasemap' = (_admin_listdatabases: $create_hostid);
		loop: -loopfrom=$create_databasemap->size, -loopto=1, -loopincrement=(-1);
			if: $create_databasemap->(get: loop_count)->second->(find: 'status') != 'enabled';
				$create_databasemap->(remove: loop_count);
			/if;
		/loop;
		var: 'temp' = (_admin_defaultdatabase: $create_databaseid, $create_databasemap);
		if: ($temp != null);
			var: 'create_databaseid' = $temp->first;
			var: 'create_databasedetail' = $temp->second;
			var: 'create_databasename' = $create_databasedetail->(find: 'name');
			var: 'create_databasealias' = $create_databasedetail->(find: 'alias');
		else;
			var: 'create_databaseid' = 0;
			var: 'create_databasedetail' = null;
		/if;
	else;
		var: 'create_databaseid' = 0;
		var: 'create_databasedetail' = null;
	/if;

	if: ($create_connectorid == 1) && ($create_databasename == 'site');
		var: 'create_databasename' = 'lasso_site_1';
	/if;

/if;

//
// Process Action
//

if: $build_action >> 'Update';

	_admin_updatedatabase: $build_databaseid, 'alias'=$database_alias, 'enabled'=$database_enabled;
	if: $_code != (error_noerror);
		var: 'build_error' = $_error + ' (' + $_code + ')';
	else;
		var: 'build_message' = 'The database was updated successfully.';
	/if;

	var: 'build_action' = 'Refresh Detail';

else: $dialog_action >> 'Delete';

	inline: -database=$database_alias, -sql='DROP DATABASE `' + $database_name + '`';
		if: (error_currenterror) != (error_noerror);
			var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
		/if;
	/inline;

	_admin_deletedatabase: $build_databaseid;

	var: 'build_action' = 'Refresh';

else: $build_action >> 'Create Table';

	// Redirect
	var: 'link' = $admin_link + '&tab3=tables' +
		'&build_connectorid=' + $build_connectorid +
		'&build_hostid=' + $build_hostid +
		'&build_databaseid=' + $build_databaseid +
		'&build_action=Create+Table';
	redirect_url: $link;
	output: '<a href="' + $link + '">' + $link + '</a>', -encodenone;
	abort;

else: $build_action >> 'List Tables';

	// Redirect
	var: 'link' = $admin_link + '&tab3=tables' +
		'&build_connectorid=' + $build_connectorid +
		'&build_hostid=' + $build_hostid +
		'&build_databaseid=' + $build_databaseid;
	redirect_url: $link;
	output: '<a href="' + $link + '">' + $link + '</a>', -encodenone;
	abort;

else: $build_action >> 'Create';

	if: $create_action >> 'Create New Database';

		var: 'build_navigation' = 'last';

		if: ((var: 'create_name') == '');
			var: 'build_error'='Please specify a database name.';
		else: (string_replaceregexp: (var: 'create_name'), -find='\\w|\\$', -replace='') != '';
			var: 'build_error'='Database names should consist of only letters, numbers, and the underscore character.';
		/if;

		// If the current database is disabled, we must find an enabled database on the current host to use as
		// the target for our SQL command.
		if: ($database_enabledalias == '');
			var: 'build_error' = 'In order to create a new database, one database on the host must be enabled.';
		/if;

		if: ((var: 'build_error') == '');
			inline: -database=$database_enabledalias, -sql='CREATE DATABASE `' + $create_name + '`';
				if: (error_currenterror) != (error_noerror);
					var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
				/if;
			/inline;
		/if;

		if: ((var: 'build_error') == '');

			_admin_refreshsecurity;
			_admin_refreshconnector: $build_connectorid;

			var: 'temp_databasemap' = (_admin_listdatabases: $build_hostid);
			var: 'build_databaseid' = 0;

			loop: $temp_databasemap->size;
				var: 'temp'=$temp_databasemap->(get: loop_count)->second;
				if: $temp->(find: 'name') == $create_name;
					var: 'build_databaseid' = $temp->(find: 'id');
				/if;
			/loop;

			_admin_updatedatabase: $build_databaseid, 'enabled'=$create_enabled;

			var: 'build_action' = 'Refresh Detail';

		/if;

	else: $create_action >> 'Duplicate';

		var: 'build_navigation' = 'last';

		if: ((var: 'create_name') == '');
			var: 'build_error'='Please specify a database name.';
		else: (string_replaceregexp: (var: 'create_name'), -find='\\w|\\$', -replace='') != '';
			var: 'build_error'='Database names should consist of only letters, numbers, and the underscore character.';
		/if;

		var: 'create_databasedetail' = $create_databasemap->(find: $create_databaseid)->(get:1)->second;
		var: 'create_databasename' = $create_databasedetail->(find: 'name');
		var: 'create_databasealias' = $create_databasedetail->(find: 'alias');
		var: 'create_tablemap' = (_admin_listtables: $create_databaseid);

		// If the current database is disabled, we must find an enabled database on the current host to use as
		// the target for our SQL command.
		if: ($database_enabledalias == '');
			var: 'build_error' = 'In order to create a new database, one database on the host must be enabled.';
		/if;

		if: ((var: 'build_error') == '');
			inline: -database=$database_enabledalias, -sql='CREATE DATABASE `' + $create_name + '`';
				if: (error_currenterror) != (error_noerror);
					var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
				/if;
			/inline;
		/if;

		if: ((var: 'build_error') == '');
			loop: $create_tablemap->size;
				var: 'create_tabledetail' = $create_tablemap->(get: loop_count)->second;
				var: 'create_tablename' = $create_tabledetail->(find: 'name');

				var: 'sql' = 'CREATE TABLE `' + $create_name + '`.`' + $create_tablename + '`';

				inline: -database=$create_databasealias, -sql='SHOW COLUMNS FROM `' + $create_tablename + '` FROM `' + $create_databasename + '`', -maxrecords='all';
					$sql += ' (';
					records;
						$sql += ' `' + (field: 'field') + '` ' + (field: 'type');
						if: (field: 'null') >> 'YES';
							$sql += ' NULL';
						else;
							$sql += ' NOT NULL';
						/if;
						if: (field: 'default') != '';
							$sql += ' DEFAULT \'' + (field: 'default') + '\'';
						/if;
						if: (field: 'key') >> 'PRI';
							$sql += ' PRIMARY KEY';
						/if;
						if: (field: 'extra') >> 'auto_increment';
							$sql += ' AUTO_INCREMENT';
						/if;
						$sql += ',';
					/records;
					$sql->(removetrailing: ',');
					$sql += ')';
				/inline;

				if: ((var: 'build_error') == '');
					inline: -database=$database_enabledalias, -sql=$sql;
						if: (error_currenterror) != (error_noerror);
							var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
						/if;
					/inline;
				else;
					loop_abort;
				/if;

			/loop;
		/if;

		if: ((var: 'build_error') == '');
			_admin_refreshsecurity;
			_admin_refreshconnector: $build_connectorid;

			var: 'temp_databasemap' = (_admin_listdatabases: $build_hostid);
			var: 'build_databaseid' = 0;

			loop: $temp_databasemap->size;
				var: 'temp'=$temp_databasemap->(get: loop_count)->second;
				if: $temp->(find: 'name') == $create_name;
					var: 'build_databaseid' = $temp->(find: 'id');
				/if;
			/loop;

			_admin_updatedatabase: $build_databaseid, 'enabled'=$create_enabled;

			var: 'build_action' = 'Refresh Detail';
		/if;

		//
		// Copy Data Into New Database
		//

		if: ((var: 'build_error') == '') && ($create_data == 'Yes') && ($build_hostid == $create_hostid);

			loop: $create_tablemap->size;
				var: 'create_tabledetail' = $create_tablemap->(get: loop_count)->second;
				var: 'create_tablename' = $create_tabledetail->(find: 'name');

				var: 'sql' = 'INSERT INTO `' + $create_name + '`.`' + $create_tablename + '` SELECT * FROM `' + $create_databasename + '`.`' + $create_tablename + '`';

				if: ((var: 'build_error') == '');
					inline: -database=$database_enabledalias, -sql=$sql;
						if: (error_currenterror) != (error_noerror);
							var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
						/if;
					/inline;
				/if;

			/loop;

		else: ((var: 'build_error') == '') && ($create_data == 'Yes');

			loop: $create_tablemap->size;
				var: 'create_tabledetail' = $create_tablemap->(get: loop_count)->second;
				var: 'create_tablename' = $create_tabledetail->(find: 'name');

				if: ((var: 'build_error') == '');
					inline: -database=$create_databasealias, -table=$create_tablename, -findall, -maxrecords='all';
						if: (error_currenterror) != (error_noerror);
							var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
						/if;
						records;
							var: 'fields'=(array);
							loop: (field_name: -count);
								var: 'field'=(field_name: loop_count);
								$fields->(insert: $field = (field: $field));
							/loop;

							if: ((var: 'build_error') == '');
								inline: -database=$create_name, -table=$create_tablename, -add, $fields;

									if: (error_currenterror) != (error_noerror);
										var: 'build_error' = (error_currenterror) + ' (' + (error_currenterror: -errorcode) + ')';
									/if;
								/inline;
							else;
								loop_abort;
							/if;
						/records;
					/inline;
				/if;

			/loop;

		/if;

	/if;

/if;

//
// Build Menus
//
var: 'build_connectormap' = (array);
var: 'build_hostmap' = (array);
var: 'build_databasemap' = (array);

if: ($build_action >> 'Refresh');
	_admin_refreshsecurity;
/if;

var: 'temp_connectormap' = (_admin_listconnectors);
var: 'build_connectormap' = (array);
loop: $temp_connectormap->size;
	var: 'temp'=$temp_connectormap->(get:loop_count)->second;
	var: 'id'=$temp_connectormap->(get:loop_count)->first;
	if: ($temp->(find: 'name') >> 'MySQL') && ($temp->(find: 'status') == 'enabled');
		$build_connectormap->(insert: $id = $temp);
	/if;
/loop;
var: 'temp' = (_admin_defaultconnector: -id=$build_connectorid, $build_connectormap);
if: ($temp != null);
	var: 'build_connectorid' = $temp->first;
	var: 'build_connectordetail' = $temp->second;
	var: 'build_connectoralias' = $build_connectordetail->(find: 'alias');
else;
	var: 'build_connectorid' = 0;
	var: 'build_connectordetail' = null;
/if;

if: ($build_action >> 'Refresh') && ($build_connectorid != 0);
	_admin_refreshsecurity;
	_admin_refreshconnector: $build_connectorid;
/if;

if: ($build_connectorid > 0);
	var: 'build_hostmap' = (_admin_listhosts: $build_connectorid);
	loop: -loopfrom=$build_hostmap->size, -loopto=1, -loopincrement=(-1);
		if: $build_hostmap->(get: loop_count)->second->(find: 'status') != 'enabled';
			$build_hostmap->(remove: loop_count);
		/if;
	/loop;
	var: 'temp' = (_admin_defaulthost: $build_hostid, $build_hostmap);
	if: ($temp != null);
		var: 'build_hostid' = $temp->first;
		var: 'build_hostdetail' = $temp->second;
	else;
		var: 'build_hostid' = 0;
		var: 'build_hostdetail' = null;
	/if;
else;
	var: 'build_hostid' = 0;
	var: 'build_hostdetail' = null;
/if;

if: ($build_hostid > 0);
	var: 'build_databasemap' = (_admin_listdatabases: $build_hostid);
	var: 'temp' = (_admin_defaultdatabase: $build_databaseid, $build_databasemap);
	if: ($temp != null);
		var: 'build_databaseid' = $temp->first;
		var: 'build_databasedetail' = $temp->second;
		var: 'build_databasename' = $build_databasedetail->(find: 'name');
		var: 'build_databasealias' = $build_databasedetail->(find: 'alias');
	else;
		var: 'build_databaseid' = 0;
		var: 'build_databasedetail' = null;
	/if;
else;
	var: 'build_databaseid' = 0;
	var: 'build_databasedetail' = null;
/if;

iterate: $build_databasemap, (var: 'temp');
	var: 'db' = $temp->second;
	if: $db->(find: 'status') == 'enabled';
		var: 'database_enabledalias' = $db->(find: 'alias');
	/if;
/iterate;


//
// Correct name of 'site' database
//

if: ($build_connectorid == 1) && ($build_databasename == 'site');
	var: 'build_databasename' = 'lasso_site_1';
/if;


//
// Process Navigation
//

if: $build_navigation >> 'Prev';
	$build_database_skip -= 10;
else: $build_navigation >> 'Next';
	$build_database_skip += 10;
else: $build_navigation >> 'First';
	$build_database_skip = 1;
else: $build_navigation >> 'Last';
	$build_database_skip = $build_databasemap->size - (($build_databasemap->size - 1) % 10);
else: $build_navigation >> 'Jump';
	$build_database_skip = integer: $build_jump;
/if;

var: 'found_count' = $build_databasemap->size;
var: 'build_database_skip' = integer: (math_max: 1, (math_min: $build_database_skip, $found_count));
var: 'shown_first' = $build_database_skip;
var: 'shown_last' = integer: (math_min: $found_count, $build_database_skip + 9);
var: 'shown_count' = ($shown_last - $shown_first + 1);



?>
