<?LassoScript

_admin_addvar: 'email_action', -override=(action_param: 'email_action');

_admin_addvar: 'email_smtpserver', -override=(action_param: 'email_smtpserver');
_admin_addvar: 'email_fromemail', -override=(action_param: 'email_fromemail');
_admin_addvar: 'email_toemail', -override=(action_param: 'email_toemail');
_admin_addvar: 'email_cc', -override=(action_param: 'email_cc');
_admin_addvar: 'email_bcc', -override=(action_param: 'email_bcc');
_admin_addvar: 'email_subject', -override=(action_param: 'email_subject');
_admin_addvar: 'email_body', -override=(action_param: 'email_body');

var:'sendmail' = ((var:'email_action') >> 'Send Email');

if: ($email_action >> 'Send') && ($email_smtpserver == '');
	var: 'error' = 'An SMTP Host must be specified.';
else: ($email_action >> 'Send') && (($email_toemail == '') && ($email_cc == '') && ($email_bcc == ''));
	var: 'error' = 'A recipient must be specified for the email.';
else: ($email_action >> 'Send') && ($email_fromemail == '');
	var: 'error' = 'The message has no from address.';
else: ($email_action >> 'Send') && ($email_subject == '');
	var: 'error' = 'The message has no subject.';
else: ($email_action >> 'Send') && ($email_body == '');
	var: 'error' = 'The message has no body.';
else: ($email_action >> 'Send');
	Email_Send:
		-Host=$email_smtpserver,
		-From=$email_fromemail,
		-Subject=$email_subject,
		-Body=$email_body,
	    -To=$email_toemail,
	    -CC=$email_cc,
	    -BCC=$email_bcc;

	// [email_send] tag does not return result code nor record id,
	// so we attempt to get the id ourselves...
	// (this is a hack and not guaranteed to work)
	inline: -findall,
		-database='site',
		-table='_outgoingemail',
		-sortfield='id', -sortorder='descending',
		-maxrecords=1;
	    var:'email_id' = (field:'id');
	/inline;

	redirect_url: (var: 'admin_link') + '&tab3=email' +
		'&email_id=' + $email_id +
		'&email_action=detail';
	abort;
/if;

if: !$sendmail && !$email_smtpserver;
	inline: -search, -database='site', -table='_outgoingemailprefs', -keyfield='id', -keyvalue='1';
		if: found_count;
			$email_smtpserver = field:'defaulthost';
		/if;
	/inline;
/if;
?>
